Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class Function

    java.lang.Object
      |
      +--org.hsqldb.Function

class Function
extends java.lang.Object

Function class declaration

Constructor Summary
`(package private)` | `Function(java.lang.String function, Channel channel)` Constructor declaration

Method Summary
`(package private) void` | `checkResolved()` Method declaration
`(package private) int` | `getArgCount()` Method declaration
`(package private) int` | `getArgType(int i)` Method declaration
`(package private) int` | `getReturnType()` Method declaration
`(package private) java.lang.Object` | `getValue()` Method declaration
`(package private) void` | `resolve(TableFilter f)` Method declaration
`(package private) void` | `setArgument(int i, Expression e)` Method declaration

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Function

    Function(java.lang.String function,
             Channel channel)
       throws java.sql.SQLException

  Constructor declaration
  Parameters:
    `function` -
    `channel` -

Method Detail

### getValue

    java.lang.Object getValue()
                        throws java.sql.SQLException

  Method declaration
  Returns:
  Throws:
    java.sql.SQLException -

### getArgCount

    int getArgCount()

  Method declaration
  Returns:

### resolve

    void resolve(TableFilter f)
           throws java.sql.SQLException

  Method declaration
  Parameters:
    `f` -
  Throws:
    java.sql.SQLException -

### checkResolved

    void checkResolved()
                 throws java.sql.SQLException

  Method declaration
  Throws:
    java.sql.SQLException -

### getArgType

    int getArgType(int i)

  Method declaration
  Parameters:
    `i` -
  Returns:

### getReturnType

    int getReturnType()

  Method declaration
  Returns:

### setArgument

    void setArgument(int i,
                     Expression e)

  Method declaration
  Parameters:
    `i` -
    `e` -

Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD